using System;
using System.Data;
using System.Collections.Generic;
using DotNet.FrameWork.Data;
using HaTeam.Dd.Model;
namespace HaTeam.Dd.BLL
{
	/// <summary>
	/// Dd_Reply
	/// </summary>
	public partial class Dd_Reply
	{
		private readonly HaTeam.Dd.DAL.Dd_Reply dal=new HaTeam.Dd.DAL.Dd_Reply();
		public Dd_Reply()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int Reply_ID)
		{
			return dal.Exists(Reply_ID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HaTeam.Dd.Model.Dd_Reply model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HaTeam.Dd.Model.Dd_Reply model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int Reply_ID)
		{
			
			return dal.Delete(Reply_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string Reply_IDlist )
		{
			return dal.DeleteList(Reply_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HaTeam.Dd.Model.Dd_Reply GetModel(int Reply_ID)
		{
			
			return dal.GetModel(Reply_ID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
		public HaTeam.Dd.Model.Dd_Reply GetModelByCache(int Reply_ID)
		{
			
			string CacheKey = "Dd_ReplyModel-" + Reply_ID;
			object objModel = DataCache.GetCache(CacheKey);
			if (objModel == null)
			{
				try
				{
					objModel = dal.GetModel(Reply_ID);
					if (objModel != null)
					{
						int ModelCache = ConfigHelper.GetConfigInt("ModelCache");
						DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
					}
				}
				catch{}
			}
			return (HaTeam.Dd.Model.Dd_Reply)objModel;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Reply> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Reply> DataTableToList(DataTable dt)
		{
			List<HaTeam.Dd.Model.Dd_Reply> modelList = new List<HaTeam.Dd.Model.Dd_Reply>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HaTeam.Dd.Model.Dd_Reply model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HaTeam.Dd.Model.Dd_Reply();
					if(dt.Rows[n]["Reply_ID"].ToString()!="")
					{
						model.Reply_ID=int.Parse(dt.Rows[n]["Reply_ID"].ToString());
					}
					if(dt.Rows[n]["Reply_UserID"].ToString()!="")
					{
						model.Reply_UserID=int.Parse(dt.Rows[n]["Reply_UserID"].ToString());
					}
					model.Reply_Content=dt.Rows[n]["Reply_Content"].ToString();
					model.Reply_ArticleID=dt.Rows[n]["Reply_ArticleID"].ToString();
					if(dt.Rows[n]["Reply_Type"].ToString()!="")
					{
						model.Reply_Type=int.Parse(dt.Rows[n]["Reply_Type"].ToString());
					}
					model.Reply_Guid=dt.Rows[n]["Reply_Guid"].ToString();
					if(dt.Rows[n]["Reply_Datetime"].ToString()!="")
					{
						model.Reply_Datetime=DateTime.Parse(dt.Rows[n]["Reply_Datetime"].ToString());
					}
					if(dt.Rows[n]["Reply_UpDatetime"].ToString()!="")
					{
						model.Reply_UpDatetime=DateTime.Parse(dt.Rows[n]["Reply_UpDatetime"].ToString());
					}
					if(dt.Rows[n]["Reply_Verify"].ToString()!="")
					{
						model.Reply_Verify=int.Parse(dt.Rows[n]["Reply_Verify"].ToString());
					}
					if(dt.Rows[n]["Reply_Lock"].ToString()!="")
					{
						model.Reply_Lock=int.Parse(dt.Rows[n]["Reply_Lock"].ToString());
					}
					if(dt.Rows[n]["Reply_State"].ToString()!="")
					{
						model.Reply_State=int.Parse(dt.Rows[n]["Reply_State"].ToString());
					}
					if(dt.Rows[n]["Reply_Delete"].ToString()!="")
					{
						model.Reply_Delete=int.Parse(dt.Rows[n]["Reply_Delete"].ToString());
					}
					if(dt.Rows[n]["Reply_Count"].ToString()!="")
					{
						model.Reply_Count=int.Parse(dt.Rows[n]["Reply_Count"].ToString());
					}
					if(dt.Rows[n]["Reply_Order"].ToString()!="")
					{
						model.Reply_Order=int.Parse(dt.Rows[n]["Reply_Order"].ToString());
					}
					model.Reply_Remark=dt.Rows[n]["Reply_Remark"].ToString();
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

